## cryptsetup 2.7.2

=== debian/changelog ===
cryptsetup (2:2.7.2-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow blowfish test use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test
    - initramfs hook: Combine calls to manual_add_modules (LP #2065180)
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 15 Jul 2024 09:39:31 +0100

cryptsetup (2:2.7.2-2) unstable; urgency=medium

  * Update standards version to 4.7.0, no changes needed.
  * d/crontrol: cryptsetup-initramfs: Add Breaks: libcryptsetup12 (<<
    2:2.7.2-1) since the hook assumes libcryptsetup.so.12 is not linked with
    libargon2.so. (Closes: #1068849)
  * d/t/utils/mkinitramfs: Remove obsolete copy_libgcc() call.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 15 Apr 2024 00:51:12 +0200

cryptsetup (2:2.7.2-1) unstable; urgency=medium

  * New bugfix upstream release.
    + Fix various issues with OPAL devices.
  * Use OpenSSL's own argon2 implementation rather than libargon2.  This drops
    libargon2 from (Build-)Depends and bumps the minimum required OpenSSL
    version to 3.2.
  * d/control: cryptsetup Depends: Bump minimum cryptsetup-bin version to
    2:2.7.2-1 as the wrapper no longer contain workarounds for libargon2 and
    libgcc_s.
  * d/copyright: Update licensing information to reflect upstream's
    relicensing of its FAQ and an older miscellaneous script.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 09 Apr 2024 15:18:49 +0200

cryptsetup (2:2.7.1-1) unstable; urgency=medium

  * New bugfix upstream release.

  [ Guilhem Moulin ]
  * d/functions: get_mnt_devno(): Speed up execution time on large
    /proc/mounts.
  * d/t/cryptroot-*: Fix DEP-8 tests when the kernel .deb installs modules in
    /usr/lib/modules not /lib/modules, such as
    linux-image-6.6.15-686-pae_6.6.15-2_i386.deb.
  * d/cryptsetup.lintian-overrides: Remove unused overrides.

  [ Helmut Grohne ]
  * /lib/cryptsetup/askpass: Coordinated move to /usr for DEP17
    (Closes: #1060270)

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 09 Mar 2024 23:05:42 +0100

cryptsetup (2:2.7.0-1ubuntu6) oracular; urgency=medium

  [ Adam Vodopjan ]
  * Fix cryptroot-unlock behavior on narrow terminals (LP: #1968636)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 11 Jun 2024 13:19:25 -0600

cryptsetup (2:2.7.0-1ubuntu5) oracular; urgency=medium

  * initramfs hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 May 2024 09:48:09 +0200
