## cryptsetup 2.7.4

=== debian/changelog ===
cryptsetup (2:2.7.4-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * New bugfix upstream release.
  * d/functions: Silently ignore crypttab(5) option x-initrd.attach.
    (Closes: #1072058)
  * DEP-8: Mark cryptroot-* as flaky.  To be re-evaluated if/when the
    tests only run on environment where KVM is available. (Closes: #1073052)
  * d/t/cryptroot-lvm.d/preinst: Add x-initrd.attach crypttab(5) option.
  * initramfs: local-bottom: Call `dmsetup remove --deferred` on the root FS
    holders.  Thanks to Luca Boccassi for the suggestion.
  * d/t/cryptroot-*: Always install passwd(1) inside the guest.

  [ Benjamin Drung ]
  * initramfs hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 04 Aug 2024 22:59:09 +0200
