=== debian/tests/control ===
--- 
+++ 
@@ -19,6 +19,8 @@
   keyutils,
 # for modprobe(8) and rmmod(8)
   kmod,
+# for legacy hash algorithms such as whirlpool, see OSSL_PROVIDER-legacy(7ssl)
+  openssl-provider-legacy,
 # for free(1)
   procps,
 # for uuencode(1)
@@ -55,6 +57,10 @@
 Depends: cryptsetup-initramfs, e2fsprogs, zstd
 Restrictions: allow-stderr, needs-root, isolation-machine
 
+Tests: initramfs-hook-legacy
+Depends: cryptsetup-initramfs, e2fsprogs, openssl-provider-legacy, zstd
+Restrictions: allow-stderr, needs-root, isolation-machine
+
 Tests: cryptroot-lvm, cryptroot-legacy
 # Only dependencies required to set the VM here are listed here;
 # cryptsetup is not listed since we only install it in the VM.
@@ -71,8 +77,8 @@
          udev
 # We only need root to create /dev/kvm, really.  And while it works
 # locally and on debci, it doesn't work on salsa CI..
-Restrictions: allow-stderr, needs-root, flaky
-Architecture: amd64 i386
+Restrictions: allow-stderr, needs-root
+Architecture: amd64
 
 Tests: cryptroot-md
 Depends: cryptsetup-bin,
@@ -86,13 +92,3 @@
          qemu-efi-aarch64 [arm64],
          qemu-efi-arm [armhf],
          qemu-system-arm [arm64 armhf] | qemu-system-x86 [amd64 i386] | qemu-system,
-         udev
-Restrictions: allow-stderr, needs-root, flaky
-Architecture: amd64 i386
-
-Tests: cryptroot-nested
-Depends: btrfs-progs,
-         cryptsetup-bin,
-         dosfstools [arm64 armhf],
-         fdisk,
-         genext2fs,
