## cryptsetup 2.8.0

=== debian/changelog ===
cryptsetup (2:2.8.0-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 15:13:13 +0000

cryptsetup (2:2.8.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental. (LP: #2116736) Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/{control,rules}:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)
    - Fix autopkgtests

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 25 Jul 2025 14:17:58 +0100

cryptsetup (2:2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 24 Jun 2025 11:40:36 +0200

cryptsetup (2:2.8.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Drop d/patches/* applied upstream.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 16 Jun 2025 15:44:19 +0200

cryptsetup (2:2.8.0~rc0-1) experimental; urgency=low

  * New upstream release candidate 2.8.0, with support for inline mode (use HW
    sectors with additional hardware metadata space).
  * DEP-8: Add Depends: e2fsprogs.
  * d/libcryptsetup12.symbols: Add new symbols.
  * Adjust d/copyright.
  * DEP-8: Build libcrypto_backend.la and crypto-check before running the
    upstream test suite.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 12 Jun 2025 19:00:45 +0200

cryptsetup (2:2.7.5-2ubuntu2) questing; urgency=medium

  * Fix autopkgtest

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 17 Jul 2025 14:02:28 +0100

cryptsetup (2:2.7.5-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/{control,rules}:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 11 Jul 2025 14:25:05 +0100

cryptsetup (2:2.7.5-1ubuntu2) plucky; urgency=medium

  * Fix mismerge of autopkgtest changes

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 18 Feb 2025 15:09:18 +0000

cryptsetup (2:2.7.5-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Support zstd compressed modules for the self test.
    - Compile-in support for a FIPS mode. LP #2032659
    - debian/{control,rules}:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
      + Move cryptsetup-initramfs back to cryptsetup's Recommends.
      + Do not build cryptsetup-suspend binary package on i386.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
    - Fix cryptroot-* autopkgtests on Ubuntu. (LP #1983522)
      + debian/tests/utils/mock.pm: return from consume() function if select()
        times out or fails
      + debian/tests/utils/cryptroot-common: fix apt source and kernel package
        names for Ubuntu
      + debian/tests/cryptroot-sysvinit.d: use systemd-sysv init for Ubuntu
        cryptroot-sysvinit package test
      + debian/tests/cryptroot-nested.d: fix cryptsetup-nested test, add
        workaround for LP1831747 by adding a e2fsprogs dependency
      + debian/tests/initramfs-hook: fix test's initramfs layout for Ubuntu and
        allow aes+ripemd160 test to use 64Mb of provisioned space (drop --size)
      + debian/tests/control: disable cryptdisks test
    - Fix cryptroot-unlock behavior on narrow terminals (LP #1968636)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 14 Feb 2025 10:51:10 +0000
