=== debian/control ===
--- 
+++ 
@@ -25,13 +25,14 @@
                libssh-dev,
                libssl-dev (>> 3.2~),
                libtool,
+               openssl-provider-legacy <!nocheck>,
                pkgconf,
                po-debconf,
                procps <!nocheck>,
                uuid-dev,
                xsltproc <!nodoc>,
                xxd <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
 Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git -b debian/latest
