=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	dh_auto_configure -- $(CONFFLAGS) \
 		--with-tmpfilesdir=/usr/lib/tmpfiles.d \
 		--enable-shared \
+		--enable-fips \
 		--enable-cryptsetup-reencrypt
 
 execute_after_dh_auto_build:
@@ -84,8 +85,10 @@
 execute_after_dh_fixperms-arch:
 	chmod 0755 debian/cryptsetup/usr/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup/usr/lib/cryptsetup/scripts/decrypt_*
+ifneq ($(DEB_HOST_ARCH),i386)
 	chmod 0755 debian/cryptsetup-suspend/usr/lib/cryptsetup/scripts/suspend/cryptsetup-suspend-wrapper
 	chmod 0755 debian/cryptsetup-suspend/usr/lib/systemd/system-shutdown/cryptsetup-suspend.shutdown
+endif
 ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
 	chmod 0755 debian/cryptsetup-udeb/usr/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup-udeb/usr/lib/cryptsetup/scripts/decrypt_*
