=== debian/watch ===
version=4
options="mode=git,pgpmode=gittag, \
         uversionmangle=s/-(alpha|beta|rc)(\d*)$/~$1$2/, \
         compression=gzip" \
  https://gitlab.com/cryptsetup/cryptsetup.git \
  refs/tags/v?@ANY_VERSION@
