=== debian/changelog ===
cryptsetup (2:2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * DEP-8: Don't skip TPM trusted upstream tests.  This adds `Depends:
    swtpm, swtpm-tools, tpm2-tools` to the upstream testsuite autopkgtest.
  * DEP-8: Don't skip upstream's systemd plugin tests.  This adds `Depends:
    systemd-cryptsetup` to the upstream testsuite autopkgtest.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 19 Aug 2025 13:38:37 +0200

cryptsetup (2:2.8.0-3) unstable; urgency=medium

  [ Nuri KÜÇÜKLER ]
  * Add Turkish debconf templates translation.

  [ Luca Boccassi ]
  * DEP-8: Remove 80-systemd-osc-context.sh bash profile drop-in from
    cryptroot-* test images in order to fix compatibility with systemd v258.
    (Closes: #1110818)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 13 Aug 2025 13:38:32 +0200

cryptsetup (2:2.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 09 Aug 2025 22:21:31 +0200
