=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Rules-Requires-Root: no
@@ -45,8 +44,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: cryptsetup-nuke-password (<< 5~)
-Recommends: cryptsetup-initramfs
-Suggests: dosfstools, keyutils, liblocale-gettext-perl
+Suggests: cryptsetup-initramfs, dosfstools, keyutils, liblocale-gettext-perl
 Description: disk encryption support - startup scripts
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -95,11 +93,11 @@
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox-initramfs,
+Depends: busybox | busybox-static,
          cryptsetup (>= ${source:Version}),
          initramfs-tools (>= 0.137) | linux-initramfs-tool,
          ${misc:Depends}
-Recommends: console-setup, kbd, plymouth
+Recommends: console-setup, kbd
 Breaks: cryptsetup (<< 2:2.0.3-1), libcryptsetup12 (<< 2:2.7.2-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
 Conflicts: lvm2 (<< 2.03.15-1)
@@ -112,7 +110,7 @@
  This package provides initramfs integration for cryptsetup.
 
 Package: cryptsetup-suspend
-Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
+Architecture: linux-any
 Multi-Arch: foreign
 Depends: cryptsetup-initramfs (>= ${source:Version}),
          initramfs-tools-core,
