=== debian/tests/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
  gcc -I ../lib -c ./crypto-check.c &&
  gcc -o ./crypto-check ./crypto-check.o ../.libs/libcrypto_backend.a -lcrypto &&
  make -f Makefile.localtest -j tests CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y
+    RUN_KEYRING_TRUSTED_TEST=y
+    RUN_SYSTEMD_PLUGIN_TEST=y
 Depends: cryptsetup-bin,
 # to compile tests/*.c
   libcryptsetup-dev,
@@ -31,6 +33,12 @@
   procps,
 # for uuencode(1)
   sharutils,
+# for swtpm(8) and swtpm_ioctl(8)
+  swtpm,
+  swtpm-tools,
+  tpm2-tools,
+# for systemd-cryptenroll(1)
+  systemd-cryptsetup,
 # for xxd(1)
   xxd
 #
@@ -50,9 +58,8 @@
          sshpass
 Restrictions: needs-root, isolation-machine
 
-# cryptdisks test is disabled - it fails to open /dev/tty in CI
-#Tests: cryptdisks, cryptdisks.init
-Tests: cryptdisks.init
+
+Tests: cryptdisks, cryptdisks.init
 Depends: cryptsetup, xxd
 Restrictions: allow-stderr, needs-root, isolation-machine
 
@@ -83,5 +90,3 @@
          qemu-efi-arm [armhf],
          qemu-system-arm [arm64 armhf] | qemu-system-x86 [amd64 i386] | qemu-system,
          udev
-# We only need root to create /dev/kvm, really.  And while it works
-# locally and on debci, it doesn't work on salsa CI..
