## cryptsetup 2.8.2

=== debian/changelog ===
cryptsetup (2:2.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * d/t/cryptdisks: Add calls to `udevadm settle`.
  * d/control: Remove `Rules-Requires-Root: no`.
  * d/watch: Port to Version 5.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 18 Dec 2025 22:04:25 +0100

cryptsetup (2:2.8.1-2) unstable; urgency=medium

  * Exclude `reencryption-compat-test` from Makefile.localtest.
    (Closes: #1122539)

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 11 Dec 2025 23:29:35 +0100
